Subject: Re: [PATCH 0/2] mv88e6xxx: Poll when no interrupt defined

From: Andrew Lunn <[email-masked]>
Date: Mon, 26 Feb 2018 17:50:11 +0100

On Mon, Feb 26, 2018 at 11:29:58AM -0500, David Miller wrote:
> From: Andrew Lunn <[email-masked]>
> Date: Thu, 22 Feb 2018 22:58:31 +0100
> 
> > Not all boards using the mv88e6xxx switches have the interrupt output
> > connected to a GPIO. On these boards phylib has to poll the PHYs,
> > rather than use interrupts. Have the driver poll the interrupt status
> > register, which is more efficient than having phylib do it. And it
> > enables other switch interrupts to be services.
> > 
> > The Armada 370RD is such a board without a interrupt GPIO. Now that
> > interrupts work, wire up the PHYs to make use if them.
> > 
> > Gregory: Are you O.K. for the second patch to go through netdev?
> 
> Still no response from Gregory after 4+ days, so I'm applying this
> to net-next.

Hi David

I pinged Gregory earlier today. He said he was on vacation last week,
and you get to it later today or tomorrow.

    Andrew